net.minecraftforge.oredict

## Class ShapelessOreRecipe

- java.lang.Object
- - net.minecraftforge.oredict.ShapelessOreRecipe

- All Implemented Interfaces:
    IRecipe

      public class ShapelessOreRecipe
      extends Object
      implements IRecipe

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShapelessOreRecipe(Block result, Object... recipe)`
    `ShapelessOreRecipe(Item result, Object... recipe)`
    `ShapelessOreRecipe(ItemStack result, Object... recipe)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ItemStack` | `getCraftingResult(InventoryCrafting var1)` Returns an Item that is the result of this recipe
    `ArrayList` | `getInput()` Returns the input for this recipe, any mod accessing this value should never manipulate the values in this array as it will effect the recipe itself.
    `ItemStack` | `getRecipeOutput()`
    `int` | `getRecipeSize()` Returns the size of the recipe area
    `boolean` | `matches(InventoryCrafting var1, World world)` Used to check if a recipe matches current crafting inventory

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShapelessOreRecipe

          public ShapelessOreRecipe(Block result,
                            Object... recipe)

    - #### ShapelessOreRecipe

          public ShapelessOreRecipe(Item result,
                            Object... recipe)

    - #### ShapelessOreRecipe

          public ShapelessOreRecipe(ItemStack result,
                            Object... recipe)

  - ### Method Detail

    - #### getRecipeSize

          public int getRecipeSize()

      Description copied from interface: `IRecipe`
      Returns the size of the recipe area
      Specified by:
        `getRecipeSize` in interface `IRecipe`

    - #### getRecipeOutput

          public ItemStack getRecipeOutput()

      Specified by:
        `getRecipeOutput` in interface `IRecipe`

    - #### getCraftingResult

          public ItemStack getCraftingResult(InventoryCrafting var1)

      Description copied from interface: `IRecipe`
      Returns an Item that is the result of this recipe
      Specified by:
        `getCraftingResult` in interface `IRecipe`

    - #### matches

          public boolean matches(InventoryCrafting var1,
                        World world)

      Description copied from interface: `IRecipe`
      Used to check if a recipe matches current crafting inventory
      Specified by:
        `matches` in interface `IRecipe`

    - #### getInput

          public ArrayList getInput()

      Returns the input for this recipe, any mod accessing this value should never manipulate the values in this array as it will effect the recipe itself.
      Returns:
        The recipes input vales.